## RetroKeyJoypadMapping RetroKeyJoypadMapping — An object mapping keyboard keys to joypad inputs |

## Functions

RetroKeyJoypadMapping * | retro_key_joypad_mapping_new ()
RetroKeyJoypadMapping * | retro_key_joypad_mapping_new_default ()
void | retro_key_joypad_mapping_set_button_key ()
guint16 | retro_key_joypad_mapping_get_button_key ()

## Types and Values

#define | RETRO_TYPE_KEY_JOYPAD_MAPPING
| RetroKeyJoypadMapping

## Object Hierarchy

        GObject
        ╰── RetroKeyJoypadMapping

## Includes

    #include <retro-gtk/retro-gtk.h>

## Description

## Functions

### retro_key_joypad_mapping_new ()

    RetroKeyJoypadMapping *
    retro_key_joypad_mapping_new ();

Creates a new RetroKeyJoypadMapping.

#### Returns

a new RetroKeyJoypadMapping.

[transfer full]

### retro_key_joypad_mapping_new_default ()

    RetroKeyJoypadMapping *
    retro_key_joypad_mapping_new_default ();

Creates a new RetroKeyJoypadMapping with the default mapping.

#### Returns

a new RetroKeyJoypadMapping.

[transfer full]

### retro_key_joypad_mapping_set_button_key ()

    void
    retro_key_joypad_mapping_set_button_key
                                   (RetroKeyJoypadMapping *self,
                                    RetroJoypadId button,
                                    guint16 hardware_keycode);

Maps the joypad button id to mapping key code.

#### Parameters

self | a RetroKeyJoypadMapping |
button | joypad button id |
hardware_keycode | mapping key code |

### retro_key_joypad_mapping_get_button_key ()

    guint16
    retro_key_joypad_mapping_get_button_key
                                   (RetroKeyJoypadMapping *self,
                                    RetroJoypadId button);

Gets the mapping key code for the joypad button id.

#### Parameters

self | a RetroKeyJoypadMapping |
button | joypad button id |

#### Returns

mapping key code

## Types and Values

### RETRO_TYPE_KEY_JOYPAD_MAPPING

    #define RETRO_TYPE_KEY_JOYPAD_MAPPING (retro_key_joypad_mapping_get_type())

### RetroKeyJoypadMapping

    typedef struct _RetroKeyJoypadMapping RetroKeyJoypadMapping;

## See Also

RetroCoreView